Subject: [quicwg/base-drafts] No more private TPs since -26? (#3598)

From: Lars Eggert <[email-masked]>
Date: Fri, 24 Apr 2020 07:13:33 -0700

transport-26 dropped this sentence, which was present up to -25:
>   Values with the first byte 0xff are reserved for Private Use [RFC8126].
Don't we have private TPs anymore? Or is this due to an editing bug?

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/3598

---

From: Lucas Pardue <[email-masked]>
Date: Fri, 24 Apr 2020 07:25:49 -0700

It was modified in the fix that addressed [TPs are too constraining for innovation](https://github.com/quicwg/base-drafts/issues/3020)

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/3598#issuecomment-619042522

---

From: Mike Bishop <[email-masked]>
Date: Fri, 24 Apr 2020 07:29:01 -0700

> Provisional registration of codepoints are intended to allow for **private use and experimentation** with extensions to QUIC. Provisional registrations only require the inclusion of the codepoint value and contact information. However, provisional registrations could be reclaimed and reassigned for another purpose.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/3598#issuecomment-619044967

---

From: Lars Eggert <[email-masked]>
Date: Fri, 24 Apr 2020 07:33:21 -0700

Right, but how to grease? Don't want to provisionally register for that?

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/3598#issuecomment-619047516

---

From: Mike Bishop <[email-masked]>
Date: Fri, 24 Apr 2020 07:35:02 -0700

Greasing is still defined as it was.

Section 18.1:
> Transport parameters with an identifier of the form 31 * N + 27 for integer values of N are reserved to exercise the requirement that unknown transport parameters be ignored. These transport parameters have no semantics, and may carry arbitrary values.

Section 22.2:
> Additionally, each value of the format 31 * N + 27 for integer values of N (that is, 27, 58, 89, ...) are reserved and MUST NOT be assigned by IANA.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/3598#issuecomment-619048476

---

From: Lars Eggert <[email-masked]>
Date: Fri, 24 Apr 2020 07:37:05 -0700

Oh, I *totally* missed that change!

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/3598#issuecomment-619049744

---

From: Lars Eggert <[email-masked]>
Date: Fri, 24 Apr 2020 07:37:26 -0700

Closed #3598.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/3598#event-3269707522